Bug 1568526 - [RFE] Support Pod’s DNS Config [NEEDINFO]
Summary: [RFE] Support Pod’s DNS Config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Ben Bennett
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 16:58 UTC by Bryan Yount
Modified: 2019-08-08 02:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 22:17:06 UTC
Target Upstream Version:
byount: needinfo? (bbennett)


Attachments (Terms of Use)

Description Bryan Yount 2018-04-17 16:58:25 UTC
Description of problem:
My customer is requesting that OpenShift support the new Kubernetes feature of CustomPodDNS (alpha in 1.9, beta and on by default in 1.10):

https://kubernetes.io/docs/concepts/services-networking/dns-pod-service/#pods-dns-config

Business reason:
We have a requirement from our clients to control DNS settings and use their own name servers and options along with or by fully overriding OpenShift's generated /etc/resolve.conf file in POD.


Note You need to log in before you can comment on or make changes to this bug.